| ghc-6.12.3: The GHC API | Contents | Index

SPARC.ShortcutJump

Documentation
data JumpDest

Constructors

DestBlockId BlockId |
DestImm Imm |

canShortcut :: Instr -> Maybe JumpDest
shortcutJump :: (BlockId -> Maybe JumpDest) -> Instr -> Instr
shortcutStatic :: (BlockId -> Maybe JumpDest) -> CmmStatic -> CmmStatic
shortBlockId :: (BlockId -> Maybe JumpDest) -> BlockId -> CLabel
Produced by Haddock version 2.6.1